﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace TreeFileFolder
{
    public class Entry : INotifyPropertyChanged
    {
        public Entry()
        {
            this.Entries = new ObservableCollection<Entry>();
        }


        private bool enabled;

        public bool Enabled
        {
            get { return enabled; }
            set
            {
                enabled = value;
                RaisePropertyChanged("Enabled");
            }
        }


        public event PropertyChangedEventHandler PropertyChanged;

        protected void RaisePropertyChanged(string propertyName)
        {
            var handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(propertyName));
            }
        }


        

        public string Name
        {
            get;
            set;
        }
        public string Description
        {
            get;
            set;
        }

        public Uri ImgSource
        {
            get;
            set;
        }

        public bool IsDirectory
        {
            get;
            set;
        }
        public string PathToFile
        {
            get;
            set;
        }
        public ObservableCollection<Entry> Entries
        {
            get;
            set;
        }

    }
}
